# Namespace ecs

Entity-Component-System（实体-组件-系统）框架

- Defined in assets/libs/ecs/ECS.ts:8

### Index

### Interfaces

IComp
IEntityEnterSystem
IEntityRemoveSystem
IMatcher
ISystemFirstUpdate
ISystemUpdate

### Type Aliases

ComblockSystem
Comp
Entity
RootSystem
System

### Variables

ComblockSystem
Comp
Entity
RootSystem
System

### Functions

activeEntityCount
addSingleton
allOf
anyOf
clear
excludeOf
getEntity
getEntityByEid
getSingleton
onlyOf
query
register

Generated using TypeDoc